diff --git a/web/pgadmin/dashboard/static/js/ChartsDOM.jsx b/web/pgadmin/dashboard/static/js/ChartsDOM.jsx
index cb391e2aa..0216ec5b2 100644
--- a/web/pgadmin/dashboard/static/js/ChartsDOM.jsx
+++ b/web/pgadmin/dashboard/static/js/ChartsDOM.jsx
@@ -19,7 +19,7 @@ export default class ChartsDOM {
     this.pageVisible = pageVisible;
   }
 
-  mount() {
+  render() {
     if(this.container && this.preferences.show_graphs) {
       ReactDOM.render(<Graphs sid={this.sid} did={this.did} preferences={this.preferences} pageVisible={this.pageVisible}/>, this.container);
     }
@@ -32,13 +32,13 @@ export default class ChartsDOM {
   setSidDid(sid, did) {
     this.sid = sid;
     this.did = did;
-    this.mount();
+    this.render();
   }
 
   reflectPreferences(preferences) {
     this.preferences = preferences;
     if(preferences.show_graphs) {
-      this.mount();
+      this.render();
     } else {
       this.unmount();
     }
@@ -46,6 +46,6 @@ export default class ChartsDOM {
 
   setPageVisible(visible) {
     this.pageVisible = visible;
-    this.mount();
+    this.render();
   }
 }
\ No newline at end of file
diff --git a/web/pgadmin/dashboard/static/js/dashboard.js b/web/pgadmin/dashboard/static/js/dashboard.js
index b567df661..bc7849faa 100644
--- a/web/pgadmin/dashboard/static/js/dashboard.js
+++ b/web/pgadmin/dashboard/static/js/dashboard.js
@@ -280,7 +280,7 @@ define('pgadmin.dashboard', [
     object_selected: function(item, itemData, node) {
       let self = this;
 
-      if (dashboardVisible && itemData && itemData._type) {
+      if (itemData && itemData._type) {
         var treeHierarchy = node.getTreeNodeHierarchy(item),
           url = NodesDashboard.url(itemData, item, treeHierarchy);
 
@@ -378,7 +378,6 @@ define('pgadmin.dashboard', [
               }
             } else {
               this.chartsDomObj && this.chartsDomObj.unmount();
-              $(div).empty();
               $(div).html(
                 '<div class="pg-panel-message" role="alert">' + gettext('Please connect to the selected server to view the dashboard.') + '</div>'
               );
diff --git a/web/pgadmin/dashboard/static/scss/_dashboard.scss b/web/pgadmin/dashboard/static/scss/_dashboard.scss
index b332c0e0a..e1399d9ea 100644
--- a/web/pgadmin/dashboard/static/scss/_dashboard.scss
+++ b/web/pgadmin/dashboard/static/scss/_dashboard.scss
@@ -49,7 +49,7 @@
 
     & .dashboard-graph-body {
         padding: 0.25rem 0.5rem;
-        height: 175px;
+        height: 165px;
 
         & .flotr-labels {
             color: $color-fg !important;
